Clicky

Skocz do zawartości


Zdjęcie
- - - - -

L5. Błąd podczas composer update (artisan line 31)

2 odpowiedzi w tym temacie

  • Zaloguj się, aby dodać odpowiedź

#1 szafran86

szafran86

    Początkujący

  • Użytkownik
  • Pip
  • 16 postów

Napisano 20 grudzień 2015 - 23:56

Witam,

 

Męczę się z problemem już kilka dni. Opiszę o co chodzi:

 

Podczas instalowania nowego pakietu, po dodaniu odpowiedniej linii do composer.json odpalam komendę composer update

 

Niestety wywal mi błąd:

[RuntimeException]
  Error Output: PHP Parse error:  syntax error, unexpected T_CLASS, expecting
   T_STRING or T_VARIABLE or '$' in /home/szafran8/domains/masterfach.pl/publ
  ic_html/lvl5.1/artisan on line 31

Podaję screena: http://prntscr.com/9gkzl4

 

W lini 31 w pliku artisan, mam:

$kernel = $app->make(Illuminate\Contracts\Console\Kernel::class);

Przeczytałem dziesiątki tematów i wszędzie piszą, że jest problem z versją PHP. Ja natomiast używam wersji php7.

 

Utworzyłem sobie alias do nowej wersji PHP i composera odpalam tak:

php7 ../composer.phar update

Ktoś coś wie co może być przyczyną występowania błedu. Nie mogę przez to instalować dodatkowych pakietów :(

 



#2 nrm

nrm

    webmastah

  • Admin
  • 1106 postów
  • Skąd:Katowice

Napisano 21 grudzień 2015 - 12:46

zakładam, że to na bank jest php7 i nie pomyliłeś się gdzieś przypadkiem? php7 -v ?



#3 szafran86

szafran86

    Początkujący

  • Użytkownik
  • Pip
  • 16 postów

Napisano 21 grudzień 2015 - 14:19

zakładam, że to na bank jest php7 i nie pomyliłeś się gdzieś przypadkiem? php7 -v ?

Zrzut z putty:

http://prntscr.com/9gs1w2






Użytkownicy przeglądający ten temat: 0

0 użytkowników, 0 gości, 0 anonimowych